Page MenuHomePhabricator

Make page titles bold in notifications
Closed, ResolvedPublic

Description

Please add boldface to the following information types in all notifications:

  • page names
  • topic titles (which also get quotation marks--pls do not BF the quotation marks)
  • section names
  • indirect references to pages (e.g., "your talk page")
  • course names

Please do NOT boldface the following:

  • Groups (e.g., for user rights)
  • Tag names (e.g., pagetriage)
  • project names
  • instance names

Event Timeline

Catrope created this task.Dec 16 2015, 11:18 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Normal.
Catrope added a project: Notifications.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope set Security to None.

This means editing the English versions of the i18n messages for notifications and adding <b>...</b> in a bunch of places.

@Pginer-WMF, @jmatazzoni: Thoughts as to whether this should be applied to user names as well? We're planning to move user names out of the notification message in some cases (e.g. user-rights) but not all (e.g. edit-thank).

This means editing the English versions of the i18n messages for notifications and adding <b>...</b> in a bunch of places.

Should use ''', right, rather than <b>?

In T121724#1888325, @Mattflaschen wrote:

This means editing the English versions of the i18n messages for notifications and adding <b>...</b> in a bunch of places.

Should use ''', right, rather than <b>?

Yeah, you're right, these messages are wikitext.

Pginer-WMF added a comment.EditedDec 18 2015, 12:06 PM

@Pginer-WMF, @jmatazzoni: Thoughts as to whether this should be applied to user names as well? We're planning to move user names out of the notification message in some cases (e.g. user-rights) but not all (e.g. edit-thank).

I think the main priority for bolding should be content. That is what I'd expect users to scan the notifications for. So I'm more inclined to use it for pages and notification-specific content (such as topics in the case of Flow).

Ideally, we should aim for having just one bolded element per notification in order to keep bolding effective (i.e., get the gist of the info by just looking at the icon and bolded element). Having said that, delimiting long user names may be problematic (T121822), so we may to reconsider the bolding of usernames for that purpose.

I created some examples to compare different bolding strategies:

@Pginer-WMF, @jmatazzoni: Thoughts as to whether this should be applied to user names as well? We're planning to move user names out of the notification message in some cases (e.g. user-rights) but not all (e.g. edit-thank).

I think the main priority for bolding should be content. That is what I'd expect users to scan the notifications for. So I'm more inclined to use it for pages and notification-specific content (such as topics in the case of Flow).

I thought we were going to use a convention of bold for board titles, and quotes (but not bold) for topics. This seems to be done in M132 .

In T121724#1899373, @Mattflaschen wrote:

I thought we were going to use a convention of bold for board titles, and quotes (but not bold) for topics. This seems to be done in M132 .

The initial idea is to bold the pages. I was exploring the option of bolding also content such as the topic titles since it could help to find content (e.g., looking for the activity about "How the Moai moved?" across different notifications in the examples above). This obviously comes at a price: the more elements you make bold, the less effective bold is. Although for the case of bolding topics and pages, most of the notifications still keep just one element in bold.

So the feedback I'm looking for is: at which point in the examples above the bold starts becoming annoying or of little help to quickly process and understand notifications?

So the feedback I'm looking for is: at which point in the examples above the bold starts becoming annoying or of little help to quickly process and understand notifications?

In addition to avoiding over-bolding, it could be helpful to use bolding to help people distinguish between boards and topics. Emphasizing topics another way (e.g. italics) could help with that, but I'm not sure if that would actually be good UX.

I'm fine with bolding either or both types of content -- pages and topics. I think I like bold for both, though not by a lot. But I'd draw the line at users, who already get an icon and their names repeated in the secondary links. So I think there's enough emphasis for users already.

I'm fine with bolding either or both types of content -- pages and topics.

I'd consider bolding both pages and topics. I created an example mockup to illustrate both cases (for items with one content element and hose with more than one):

I think that the benefits are more valuable that the potential drawbacks. For notifications with topics as the main item (e.g., thanks and replies), it helps to identify what the notification is about. For notifications with more than one bolded element, the distinction between elements seems clear enough (having the topic in quotes also helps).

SBisson added a subscriber: SBisson.Feb 3 2016, 2:06 PM

Should we treat wikitext section names the same as topic titles, with quotes and bolding?

Should we treat wikitext section names the same as topic titles, with quotes and bolding?

Yes. It makes sense to keep the formatting of discussion notifications consistent regardless of those happening on a Flow or Wikitext page.

SBisson updated the task description. (Show Details)Feb 8 2016, 4:15 PM

Change 269165 had a related patch set uploaded (by Sbisson):
Bold pages and topic names in notifications

https://gerrit.wikimedia.org/r/269165

We said before that the string "you talk page" would be bold because it is not exactly a page name but it acts like it, right?

What about: User1 mentioned you on the talk page of User2 in "section name". Should "talk page of User2" be bold here?

Change 269169 had a related patch set uploaded (by Sbisson):
Bold pages and sections in notifications

https://gerrit.wikimedia.org/r/269169

Change 269170 had a related patch set uploaded (by Sbisson):
Bold pages and topics in notifications

https://gerrit.wikimedia.org/r/269170

@jmatazzoni, @Pginer-WMF Did we conclude that we would bold page titles but not topic titles or section names for now?

@jmatazzoni, @Pginer-WMF Did we conclude that we would bold page titles but not topic titles or section names for now?

I expressed in T121724#1993831 my preference for going with bolding the main pieces of content (pages, topic titles, section names, and indirect references to them such as "your talk page").

For the topic and section names they will be in quotes also, helping to differentiate them from page names. I think this addresses one concern from Matt, but I don't see in the ticket anyone expressing further objection so far (if anyone has, please do).

jmatazzoni added a comment.EditedFeb 10 2016, 12:14 AM

I was about to say sure, let's go with bold on Pau's argument that we don't have many instances where a pagename and topic name will be in the same message. But then Pau's comment about bolding all the other "main pieces of content" caught my eye.

By my tally, that would include the following:

  • topic titles
  • section names
  • indirect references to pages (e.g., "your talk page")
  • Groups (e.g., for user rights)
  • Tag names (e.g., pagetriage)
  • course names
  • project names
  • instance names

So, if we bold all those main pieces of content, then the message types that could or would have multiple items in bold are these:

  • mention
  • flow-new-topic
  • pagetriage-add-maintenance-tag
  • pagetriage-add-deletion-tag
  • osm-instance-build-completed
  • osm-instance-reboot-completed
  • osm-instance-deleted
  • flowusertalk-new-topic
  • Flowusertalk-post-reply
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited
  • page-linked (because it always includes multiple pages)
  • flow-topic-renamed (because always multiple topics named)

Of those, we know that the ones in boldface are among the most common notifications, on some wikis anyway.

So, as so often, we must balance clashing goals/principles. On one hand, BF can make information stand out. On the other, when emphasis is overused, it loses its effect and can, in fact, degrade overall readability.

It's hard for me to to know just what a representative Notificaitons panel or page will include, but when I look at the examples on Test I see a lot going on--multiple icons, colors, font styles... @Pginer-WMF, you've looked at this harder than anyone else. With the information above, do you still think we should boldface all content types? Anyone else? I could go either way.

Change 269165 merged by jenkins-bot:
Bold pages and topic names in notifications

https://gerrit.wikimedia.org/r/269165

Thanks @jmatazzoni for compiling the information in T121724#2013636

Regarding the concept of "main pieces of information", I was thinking about the main element affected by the event the notification is described. Most of the time the main action is connected to this (e.g., linking to the topic in a page). From the above list, I would not consider bolding:

  • Groups. They are not affected, the user is.
  • Tags. They are not affected, the page is.
  • Projects/Instances: they seem to go together but I don't have enough info on the specific notifications.

With the above consideration we avoid the sequences of bold items (tags, and groups) which could lead to having more than two pieces of information bolded. If we want to have a more clear definition that we can generalise in the guidelines for others to apply, we can start by bolding just pages and topics for now since those are the elements used in the projects we work more directly with.

Regarding the common instances with multiple bold items:

  • I'm not worried about those with two elements of the same type: renaming a page (or a topic) it makes sense to highlight both in the same way since those are the elements you want to compare. For the case of pages, we were already comfortable with that approach.
  • In some cases we can focus the communication more on the main item. For mentions, we considered the option to make it similar to Flow-mentions where the topic will be the only main element in the copy and the page will be shown as a secondary action.
  • Regarding frequency it is also hard to anticipate the effects. If you get many notifications about the same page but on different topics it may be helpful to better distinguish the different topics. Below is a screenshot of my messages in MW.org, most of them are replies and having the topics in bold would have helped to differentiate them.

jmatazzoni added a comment.EditedFeb 11 2016, 5:30 PM

Thanks Pau. Sounds good. We have a decision. PLEASE BOLD the following information types in all notifications:

  • page names
  • topic titles (which also get quotation marks--pls do not BF the quotation marks)
  • section names
  • indirect references to pages (e.g., "your talk page")
  • course names

NO BOLD for the following

  • Groups (e.g., for user rights)
  • Tag names (e.g., pagetriage)
  • project names
  • instance names

I will copy this information to the ticket description.

jmatazzoni updated the task description. (Show Details)Feb 11 2016, 5:34 PM

Change 270018 had a related patch set uploaded (by Sbisson):
Do not bold project name in notification

https://gerrit.wikimedia.org/r/270018

Change 270019 had a related patch set uploaded (by Sbisson):
Do not bold the quotes in notifications

https://gerrit.wikimedia.org/r/270019

Change 270019 merged by jenkins-bot:
Do not bold the quotes in notifications

https://gerrit.wikimedia.org/r/270019

Change 270018 merged by jenkins-bot:
Do not bold project name in notification

https://gerrit.wikimedia.org/r/270018

Change 269170 merged by jenkins-bot:
Bold pages and topics in notifications

https://gerrit.wikimedia.org/r/269170

Change 269169 merged by jenkins-bot:
Bold pages and sections in notifications

https://gerrit.wikimedia.org/r/269169

Checked in betalabs - the following are being bolded according to the specs:

  • page names
  • topic titles
    • section names
    • indirect references to pages (e.g., "your talk page")

  • course names

jmatazzoni closed this task as Resolved.Feb 16 2016, 4:33 PM

NO BOLD for the following

  • Groups (e.g., for user rights)

  • Tag names (e.g., pagetriage)

  • project names
  • instance names